HP OpenVMS Systems

Ask the Wizard

HP OpenVMS Systems

OpenVMS information

» What's new on our site
» Upcoming events
» Configuration and buying assistance
» Send us your comments

HP OpenVMS systems

» OpenVMS software
» Supported Servers
» OpenVMS virtualization
» OpenVMS solutions and partners
» OpenVMS success stories
» OpenVMS service and support
» OpenVMS resources and information
» OpenVMS documentation
» Education and training

Quick Links

» Non-javascript page
» Ask the Wizard

Test Drive OpenVMS

» OpenVMS I64 test drive
» Java test drive

Other information resources available to you include:

» OpenVMS freeware
» ECO kits, software and hardware support, prior version support
» Alpha SRM, ARC, and AlphaBIOS firmware updates
» ENCOMPASS - HP user group
» OpenVMS software downloads, OpenVMS freeware CD-ROM
» OpenVMS firmware locations
» DECconnect passive adaptor charts
» Cables reference guide
» MicroVAX console commands
» OpenVMS student research

Select a topic below to see Questions Frequently Asked by partners

» Using the online documentation library(installing BNU from the asap SDK)
» Global sections(how to create and use.)
» xx$CREATE_BUFOBJ system service(usage)
» Ethernet address(methods of determination)
» Shareable images(cookbook approach to creating one)
» Sharing data/code at absolute addresses(a guide with examples)
» Determining the Alpha microprocessor
» Using GETSYI to get hardware status

Evolving business value

» Business Systems Evolution
» AlphaServer systems transition planning
» Alpha RetainTrust program

Related links

» HP Integrity servers
» HP Alpha systems
» HP storage
» HP software
» HP products and services
» HP solutions
» HP support
disaster proof
HP Integrity server animation
HP Integrity server animation
Content starts here

Ask the Wizard Questions

BASIC Language: Upward compatibility

The Question is:

I need to be able to run BASIC programs compiled under
VMS v5.x to run under v6.x without having to re-compile.
Is this possible?

I am running a MicroVAX 3196 and VMS v5.5-2H4 and want
to upgrade to VMS v6.x.  We have a HUGE amount of BASIC
programs that work just fine at our current version.  My
question is will they run as is under VMS v6.x?  Some have
told me, "Just do a re-compile and you will have no
problems."  I don't debate that.  They will probably run
just fine if re-compiled.  It's just that there are
TONS of programs that would need re-compiling, and this
could possibly prevent us from upgrading.

Oh, one more thing:  Many of these programs were moved
from a VMS v4.x environment, and they run just fine under
v5.x.  The balance were compiled under v5.x.

The Answer is:

    They should run fine without recompiling or relinking.  VMS provides
    upward compatibility for linked images that don't use privileged or
    undocumented interfaces.